RDKit: SmilesParseOps Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
SmilesParseOps Namespace Reference

## Functions
void | CheckRingClosureBranchStatus (RDKit::Atom *atom, RDKit::RWMol *mp)
void | ReportParseError (const char *message, bool throwIt=true)
void | CleanupAfterParseError (RDKit::RWMol *mol)
void | AddFragToMol (RDKit::RWMol *mol, RDKit::RWMol *frag, RDKit::Bond::BondType bondOrder=RDKit::Bond::UNSPECIFIED, RDKit::Bond::BondDir bondDir=RDKit::Bond::NONE, bool closeRings=false, bool doingQuery=false)
RDKit::Bond::BondType | GetUnspecifiedBondType (const RDKit::RWMol *mol, const RDKit::Atom *atom1, const RDKit::Atom *atom2)
void | CloseMolRings (RDKit::RWMol *mol, bool toleratePartials)
void | AdjustAtomChiralityFlags (RDKit::RWMol *mol)
void | CleanupAfterParsing (RDKit::RWMol *mol)

## Function Documentation

void SmilesParseOps::AddFragToMol | ( | RDKit::RWMol * | mol,
|  | RDKit::RWMol * | frag,
|  | RDKit::Bond::BondType | bondOrder = `RDKit::Bond::UNSPECIFIED`,
|  | RDKit::Bond::BondDir | bondDir = `RDKit::Bond::NONE`,
|  | bool | closeRings = `false`,
|  | bool | doingQuery = `false`
| ) |  |

void SmilesParseOps::AdjustAtomChiralityFlags | ( | RDKit::RWMol * | mol | ) |

void SmilesParseOps::CheckRingClosureBranchStatus | ( | RDKit::Atom * | atom,
|  | RDKit::RWMol * | mp
| ) |  |

void SmilesParseOps::CleanupAfterParseError | ( | RDKit::RWMol * | mol | ) |

Definition at line 301 of file SLNParseOps.h.

References PRECONDITION.

void SmilesParseOps::CleanupAfterParsing | ( | RDKit::RWMol * | mol | ) |

void SmilesParseOps::CloseMolRings | ( | RDKit::RWMol * | mol,
|  | bool | toleratePartials
| ) |  |

RDKit::Bond::BondType SmilesParseOps::GetUnspecifiedBondType | ( | const RDKit::RWMol * | mol,
|  | const RDKit::Atom * | atom1,
|  | const RDKit::Atom * | atom2
| ) |  |

void SmilesParseOps::ReportParseError | ( | const char * | message,
|  | bool | throwIt = `true`
| ) |  |